RPCParam (Axis API)
Keywords: org.apache.axis.message.RPCParam class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class RPCParam

    java.lang.Object
      org.apache.axis.message.NodeImpl
          org.apache.axis.message.MessageElement
              org.apache.axis.message.RPCParam

All Implemented Interfaces:
  java.lang.Cloneable, org.w3c.dom.Element, Node, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, SOAPElement

public class RPCParam
extends MessageElement
implements java.io.Serializable

An RPC parameter

Author:
  Glen Daniels (gdaniels@apache.org)
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.axis.message.MessageElement
`MessageElement.QNameAttr`

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.message.MessageElement
`_isRoot, context, encodingStyle, endEventIndex, fixupDeserializer, href, id, message, namespaces, qNameAttrs, recorder, startContentsIndex, startEventIndex, typeQName`

Fields inherited from class org.apache.axis.message.NodeImpl
`_isDirty, attributes, children, document, name, namespaceURI, parent, prefix, textRep`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`RPCParam(QName qname, java.lang.Object value)`
`RPCParam(java.lang.String name, java.lang.Object value)` Constructor for building up messages.
`RPCParam(java.lang.String namespace, java.lang.String name, java.lang.Object value)`

Method Summary
`SOAPElement` | `addTextNode(java.lang.String s)` add a text node to the document.
`java.lang.Object` | `getObjectValue()` Returns value of the node as an object of registered type.
`ParameterDesc` | `getParamDesc()`
`java.lang.String` | `getValue()` Get the value of the doc as a string.
`static java.lang.reflect.Method` | `getValueSetMethod()`
`java.lang.Boolean` | `getXSITypeGeneration()`
`protected void` | `outputImpl(SerializationContext context)` override point -output to a serialization context.
`void` | `serialize(SerializationContext context)`
`void` | `set(java.lang.Object newValue)` This set method is registered during deserialization to set the deserialized value.
`void` | `setObjectValue(java.lang.Object value)` Sets value of this node to an Object.
`void` | `setParamDesc(ParameterDesc paramDesc)`
`void` | `setRPCCall(RPCElement call)`
`void` | `setValue(java.lang.String value)` If this is a Text node then this method will set its value, otherwise it sets the value of the immediate (Text) child of this node.
`void` | `setXSITypeGeneration(java.lang.Boolean value)`

Methods inherited from class org.apache.axis.message.MessageElement
`addAttribute, addAttribute, addAttribute, addAttribute, addChild, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addMapping, addNamespaceDeclaration, childDeepCloned, cloneNode, cloning, detachAllChildren, equals, findElement, getAllAttributes, getAsDocument, getAsDOM, getAsString, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributesEx, getAttributeValue, getAttributeValue, getChildElement, getChildElements, getChildElements, getChildElements, getChildren, getCompleteAttributes, getDeserializationContext, getElementName, getElementsByTagName, getElementsByTagNameNS, getElementsNS, getEncodingStyle, getEnvelope, getFixupDeserializer, getHref, getID, getLength, getName, getNamespacePrefixes, getNamespaceURI, getObjectValue, getOwnerDocument, getPrefix, getQName, getRealElement, getRecorder, getTagName, getType, getValueAsType, getValueAsType, getValueDOM, getVisibleNamespacePrefixes, hasAttribute, hasAttributeNS, isRoot, item, output, publishContents, publishToHandler, removeAttribute, removeAttribute, removeAttributeNode, removeAttributeNS, removeContents, removeNamespaceDeclaration, setAllAttributes, setAttribute, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setContentsIndex, setEncodingStyle, setEndIndex, setEnvelope, setFixupDeserializer, setName, setNamespaceURI, setNSMappings, setQName, setRecorder, setType, toString`

Methods inherited from class org.apache.axis.message.NodeImpl
`appendChild, convertAttrSAXtoDOM, detachNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getParent, getParentElement, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, initializeChildren, insertBefore, isDirty, isSupported, makeAttributesEditable, normalize, recycleNode, removeChild, replaceChild, reset, setDirty, setDirty, setNodeValue, setOwnerDocument, setParent, setParentElement, setPrefix`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, recycleNode, setParentElement`

Methods inherited from interface org.w3c.dom.Node
`appendChild, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### RPCParam

    public RPCParam(java.lang.String name,
                    java.lang.Object value)

  Constructor for building up messages.

### RPCParam

    public RPCParam(QName qname,
                    java.lang.Object value)

### RPCParam

    public RPCParam(java.lang.String namespace,
                    java.lang.String name,
                    java.lang.Object value)

Method Detail

### setRPCCall

    public void setRPCCall(RPCElement call)

### getObjectValue

    public java.lang.Object getObjectValue()

  Description copied from class: `MessageElement`
  Returns value of the node as an object of registered type.

  Overrides:
    `getObjectValue` in class `MessageElement`
  Returns:
    Object of proper type, or null if no mapping could be found.

### setObjectValue

    public void setObjectValue(java.lang.Object value)

  Description copied from class: `MessageElement`
  Sets value of this node to an Object. A serializer needs to be registered for this object class for proper operation.

  Note that this method will log an error and no-op if there are any children in the MessageElement or if the MessageElement was constructed from XML.

  Overrides:
    `setObjectValue` in class `MessageElement`
  Parameters:
    `value` - node's value or null.

### set

    public void set(java.lang.Object newValue)

  This set method is registered during deserialization to set the deserialized value. If the method is called multiple times, the value is automatically changed into a container to hold all of the values.

  Parameters:
    `newValue` - is the deserialized object

### getValueSetMethod

    public static java.lang.reflect.Method getValueSetMethod()

### getParamDesc

    public ParameterDesc getParamDesc()

### setParamDesc

    public void setParamDesc(ParameterDesc paramDesc)

### setXSITypeGeneration

    public void setXSITypeGeneration(java.lang.Boolean value)

### getXSITypeGeneration

    public java.lang.Boolean getXSITypeGeneration()

### serialize

    public void serialize(SerializationContext context)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### outputImpl

    protected void outputImpl(SerializationContext context)
                       throws java.lang.Exception

  Description copied from class: `MessageElement`
  override point -output to a serialization context.

  Overrides:
    `outputImpl` in class `MessageElement`
  Parameters:
    `context` - destination.
  Throws:
    `java.lang.Exception` - if something went wrong.

### getValue

    public java.lang.String getValue()

  Description copied from class: `MessageElement`
  Get the value of the doc as a string. This uses `MessageElement.getAsDOM()` so is a heavyweight operation.

  Specified by:
    `getValue` in interface `Node`
  Overrides:
    `getValue` in class `MessageElement`
  Returns:
    the value of any child node, or null if there is no node/something went wrong during serialization. If the first child is text, the return value is the text itself.
  See Also:
    `;`

### addTextNode

    public SOAPElement addTextNode(java.lang.String s)
                            throws SOAPException

  Description copied from class: `MessageElement`
  add a text node to the document.

  Specified by:
    `addTextNode` in interface `SOAPElement`
  Overrides:
    `addTextNode` in class `MessageElement`
  Returns:
    ourselves
  Throws:
    `SOAPException`
  See Also:
    `SOAPElement.addTextNode(java.lang.String)`

### setValue

    public void setValue(java.lang.String value)

  Description copied from interface: `Node`
  If this is a Text node then this method will set its value, otherwise it sets the value of the immediate (Text) child of this node. The value of the immediate child of this node can be set only if, there is one child node and that node is a Text node, or if there are no children in which case a child Text node will be created.

  Specified by:
    `setValue` in interface `Node`
  Overrides:
    `setValue` in class `MessageElement`
  See Also:
    `Node.setValue(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.